commit: ef5429f4243a97439797a74dc22cbaf22458e5e1
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 10 09:53:59 2022 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Feb 10 09:53:59 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef5429f4
app-crypt/gpgme: [QA] add die and use emake
* `|| die` is also required for popd
* python was being built without -jX or MAKEOPTS
Signed-off-by: David Seifert <soap <AT> gentoo.org>
app-crypt/gpgme/gpgme-1.17.0.ebuild | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/app-crypt/gpgme/gpgme-1.17.0.ebuild
b/app-crypt/gpgme/gpgme-1.17.0.ebuild
index c6303a56b2af..06d6ea0cfaa9 100644
--- a/app-crypt/gpgme/gpgme-1.17.0.ebuild
+++ b/app-crypt/gpgme/gpgme-1.17.0.ebuild
@@ -33,8 +33,8 @@ REQUIRED_USE="qt5? ( cxx ) python? ( ${PYTHON_REQUIRED_USE} )"
do_python() {
if use python; then
pushd "lang/python" > /dev/null || die
- top_builddir="../.." srcdir="." CPP=$(tc-getCPP)
distutils-r1_src_${EBUILD_PHASE}
- popd > /dev/null
+ top_builddir="../.." srcdir="." CPP="$(tc-getCPP)"
distutils-r1_src_${EBUILD_PHASE}
+ popd > /dev/null || die
fi
}
@@ -54,7 +54,7 @@ src_prepare() {
# Make best effort to allow longer PORTAGE_TMPDIR
# as usock limitation fails build/tests
- ln -s "${P}" "${WORKDIR}/b"
+ ln -s "${P}" "${WORKDIR}/b" || die
S="${WORKDIR}/b"
}
@@ -74,7 +74,7 @@ src_configure() {
--enable-languages="${languages[*]}" \
$(use_enable static-libs static)
- use python && make -C lang/python prepare
+ use python && emake -C lang/python prepare
do_python
}